recvfrom_arg Struct Reference

## Data Fields

int | fd
int | flags
VALUE | str
socklen_t | alen
struct sockaddr_storage | buf

## Detailed Description

Definition at line 89 of file init.c.

## Field Documentation

socklen_t recvfrom_arg::alen

Definition at line 92 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

struct sockaddr_storage recvfrom_arg::buf

Definition at line 93 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

int recvfrom_arg::fd

Definition at line 90 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

int recvfrom_arg::flags

Definition at line 90 of file init.c.

Referenced by recvfrom_blocking(), and rsock_s_recvfrom().

VALUE recvfrom_arg::str

Definition at line 91 of file init.c.

Referenced by recvfrom_blocking(), rsock_s_recvfrom(), and rsock_s_recvfrom_nonblock().

The documentation for this struct was generated from the following file:

- ext/socket/init.c